Skip to main content
GET
Get usage transaction details

Authorizations

X-SALESBRICKS-KEY
string
header
required

API key for authentication

Path Parameters

transaction_id
string
required
Pattern: ^([^/]+)$

Response

Response serializer for usage transaction details.

transaction_id
string
required

The unique identifier of this usage entry.

subscription_id
string<uuid>
required

The ID of the subscription this usage entry belongs to.

brick_id
string<uuid>
required

The ID of the metered brick this usage is for.

value
string<decimal>
required

The recorded usage value.

Pattern: ^-?\d{0,14}(?:\.\d{0,6})?$
time
string<date-time>
required

When the usage occurred, stored in UTC.

properties
any | null

Additional properties recorded with this usage entry.